Loading...
Searching...
No Matches
WrapCalls.h File Reference

Defines pass to replace calls to wrapped Functions with their wrappers. More...

`#include <map>`
`#include <string>`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

std::map< std::string, Function > | Halide::Internal::wrap_func_calls (const std::map< std::string, Function > &env)
| Replace every call to wrapped Functions in the Functions' definitions with call to their wrapper functions.

## Detailed Description

Defines pass to replace calls to wrapped Functions with their wrappers.

Definition in file WrapCalls.h.